Exchange Rates API

This part of the documentation shows how to retrieve current exchange rates. To use this API you will need to have your account set up at Kryptonim.

This API can be used to display current exchange rates to a user bofore redirecting him to Kryptonim checkout.

Environments

Environment

URL

Integration

https://intg-api.kryptonim.com

Production

https://app.kryptonim.com

POST/v2/ramp/buy/quotes?m=xxxx

Retrieves current exchange rates for a given input currency and amount. m parameter is assigned during integration

Body request parameters:

Parameter

Type

Optional

Description

Example

Default Value

Comments

amount

decimal

yes

Amount in the Fiat currency

21.36

-

-

currency

string

yes

Fiat currency

EUR

EUR

In capital letters. Check available currencies.

converted_currency

string

yes

Cryptocurrency

ETH

-

In capital letters. Check available currencies.

blockchain

string

yes

Wallet’s Network

Ethereum

-

Required if convertedCurrency is specified. Check available blockchains

quote_currency

string

yes

Currency of fees and limits

USD

If not provided, currency is used

-

Response parameters:

Each dictionary in data array corresponds to rates for a specific payment method.

Parameter

Type

Description

Example

Comments

kyc

boolean

Is KYC required for requested conversion

true

-

payment_method

string

Payment method

card

-

currency

string

Fiat currency

EUR

-

converted_currency

string

Cryptocurrency

ETH

-

amount

string

Fiat amount of the conversion

100.01

-

converted_amount

string

Estimated converted cryptocurrency amount

0.01815568

-

rate

string

Estimated rate of the requested conversion

0.00028437

-

fees.currency

string

Fiat currency of displayed fees

EUR

-

fees.operation_fee

string

Fiat transaction fee

4

-

fees.network_fee

string

Estimated network fee

32.16

-

fees.total_fee

string

Total estimated transaction fee

36.16

-

limits.currency

string

Currency of calculated limits

EUR

-

limits.min_amount

string

Minimum amount of transaction in a given currency

1

-

limits.max_amount

string

Maximum amount of transaction in a given currency

10000

-

Example request:

POST /v2/ramp/buy/quotes HTTP/1.1
Content-Type: application/json

{
  "amount": 100.01,
  "currency": "EUR",
  "converted_currency": "ETH",
  "blockchain": "Ethereum",
  "quote_currency": "USD"
}

Example response:

HTTP/1.1 201 OK
Content-Type: application/json

{
  "data": [
    {
      "kyc": true,
      "payment_method": "card",
      "currency": "EUR",
      "converted_currency": "ETH",
      "amount": "100.01",
      "converted_amount": "0.01815568",
      "rate": "0.00028437",
      "fees": {
        "currency": "EUR",
        "operation_fee": "4",
        "network_fee": "32.16",
        "total_fee": "36.16"
      },
      "limits": {
        "currency": "EUR",
        "min_amount": "1",
        "max_amount": "10000"
      }
    },
    {
      "kyc": true,
      "payment_method": "bank",
      "currency": "EUR",
      "converted_currency": "ETH",
      "amount": "100.01",
      "converted_amount": "0.01751636",
      "rate": "0.00028323",
      "fees": {
        "currency": "EUR",
        "operation_fee": "6",
        "network_fee": "32.16",
        "total_fee": "38.16"
      },
      "limits": {
        "currency": "EUR",
        "min_amount": "1",
        "max_amount": "10000"
      }
    }
  ]
}